Package io.flutter.embedding.engine.systemchannels

# Enum PlatformChannel.SystemUiOverlay

java.lang.Object
java.lang.Enum<PlatformChannel.SystemUiOverlay>
io.flutter.embedding.engine.systemchannels.PlatformChannel.SystemUiOverlay

All Implemented Interfaces:
  `Serializable`, `Comparable<PlatformChannel.SystemUiOverlay>`, `java.lang.constant.Constable`

Enclosing class:
  `PlatformChannel`

public static enum PlatformChannel.SystemUiOverlay extends Enum<PlatformChannel.SystemUiOverlay>
The set of Android system UI overlays as perceived by the Flutter application.

Android includes many more overlay options and flags than what is provided by `SystemUiOverlay`. Flutter only requires control over a subset of the overlays and those overlays are represented by `SystemUiOverlay` values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM_OVERLAYS`
  `TOP_OVERLAYS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlatformChannel.SystemUiOverlay`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PlatformChannel.SystemUiOverlay[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP_OVERLAYS

    public static final PlatformChannel.SystemUiOverlay TOP_OVERLAYS

  - ### BOTTOM_OVERLAYS

    public static final PlatformChannel.SystemUiOverlay BOTTOM_OVERLAYS

- ## Method Details

  - ### values

    public static PlatformChannel.SystemUiOverlay[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PlatformChannel.SystemUiOverlay valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null